﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Test-2.aspx.cs" Inherits="MS_OSPFM.Test_2" %>
<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">

    <script type="text/javascript">
        var shapeOverlay = null;
        var currentFeature = null;
        var styleRed = null;

        function SetMapStyle(v) {
            var map = $find("<%=Map1.ClientID%>");
            map.SetMapStyle(v);
        }

        var OnMapCreating = function() {
            OpenLayers.Layer.VirtualEarth.prototype.MAX_ZOOM_LEVEL = 19;
        }

        function OnMapCreated(map) {
            // Display the toolbar of VE, but it can't work.
            var layer = map.getLayer("VirtualEarth Map");
            if (layer != null) {
                layer.mapObject.vemapcontrol.SetAnimationEnabled(false);
                //alert('test');
                var str = map.getZoom() + 1;
                document.getElementById('Text1').value = str;
                //alert(document.getElementById('Text1').value);
                //layer.mapObject.ShowDashboard();

                shapeOverlay = new OpenLayers.Layer.Vector({ style: { fillColor: 'red'} });
                map.addLayer(shapeOverlay);

                styleRed = {
                    strokeColor: "red",
                    strokeWidth: 1,
                    strokeDashstyle: "solid",
                    pointRadius: 6,
                    fillColor: 'red'
                };
            }

            // Get Current Zoomlevel.
            map.events.register('zoomend', map, function(e) {
                var str = map.getZoom() + 1;
                //alert(str);
                document.getElementById('Text1').value = str;
                //                         //alert(document.getElementById('Text1').value);

            });
        }

        var linkOver = function(obj) {
            if (shapeOverlay != null) {
                currentFeature = new OpenLayers.Format.WKT().read(obj.wkt);
                currentFeature.style = styleRed;
                shapeOverlay.addFeatures([currentFeature]);
            }
        };
        var linkOut = function() {
            if (shapeOverlay && currentFeature) {
                shapeOverlay.destroyFeatures([currentFeature]);
            }
        };

    </script>

    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <asp:UpdatePanel ID="UpdatePanel1" runat="server">
            <ContentTemplate>
                <input id="Text1" type="text" runat="server" />&nbsp;
                <input type="image" value="Draw Rectangle"  
                    onclick="Map1.SetDrawMode('Rectangle');return false;" 
                    src="Images/rectangle28.png" />
                <table>
                <tr>
                    <td>
                        <cc1:Map ID="Map1" runat="server" Height="700px" Width="850px" OnTrackShapeFinished="Map1_TrackShapeFinished">
                        </cc1:Map>
                    </td>
                    <td valign="top" style="border-style: solid">
                       <asp:Panel runat="server" ID="panel">
                       </asp:Panel>
                        <asp:TreeView ID="TreeView1" runat="server" ShowLines="True" Width="159px" 
                            EnableTheming="True" 
                            AutoGenerateDataBindings="true" 
                            onselectednodechanged="TreeView1_SelectedNodeChanged">
                        </asp:TreeView>    
                    </td>
                </tr>
                </table>
            </ContentTemplate>
<%--            <Triggers>
               <asp:AsyncPostBackTrigger ControlID="TreeView1" />
           </Triggers>--%>

        </asp:UpdatePanel>
        
        
    </div>
    </form>
</body>
</html>
